package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.ae.D;
import com.ccnode.codegenerator.ae.p;
import com.ccnode.codegenerator.k.a;
import com.ccnode.codegenerator.view.a.a;
import com.ccnode.codegenerator.view.e.e;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerInfo;
import com.intellij.codeInsight.daemon.RelatedItemLineMarkerProvider;
import com.intellij.codeInsight.navigation.NavigationGutterIconBuilder;
import com.intellij.ide.util.PsiElementListCellRenderer;
import com.intellij.openapi.editor.markup.GutterIconRenderer;
import com.intellij.openapi.project.Project;
import com.intellij.psi.PsiClass;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiMethod;
import com.intellij.psi.search.GlobalSearchScope;
import com.intellij.psi.search.SearchScope;
import com.intellij.psi.search.searches.ClassInheritorsSearch;
import com.intellij.psi.xml.XmlAttribute;
import com.intellij.psi.xml.XmlAttributeValue;
import com.intellij.psi.xml.XmlFile;
import com.intellij.psi.xml.XmlTag;
import com.intellij.util.Query;
import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import kotlin.jvm.internal.SourceDebugExtension;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.uast.UElement;
import org.jetbrains.uast.UElementKt;
import org.jetbrains.uast.UastUtils;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000\"\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\000\n\002\020\037\n\002\030\002\n\000\030\0002\0020\001B\005¢\006\002\020\002J$\020\003\032\0020\0042\006\020\005\032\0020\0062\022\020\007\032\016\022\n\b\000\022\006\022\002\b\0030\t0\bH\024¨\006\n"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisJavaLineMarkerProvider;", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerProvider;", "()V", "collectNavigationMarkers", "", "element", "Lcom/intellij/psi/PsiElement;", "result", "", "Lcom/intellij/codeInsight/daemon/RelatedItemLineMarkerInfo;", "MyBatisCodeHelper-Pro241"})
@SourceDebugExtension({"SMAP\nMybatisJavaLineMarkerProvider.kt\nKotlin\n*S Kotlin\n*F\n+ 1 MybatisJavaLineMarkerProvider.kt\ncom/ccnode/codegenerator/view/MybatisJavaLineMarkerProvider\n+ 2 fake.kt\nkotlin/jvm/internal/FakeKt\n*L\n1#1,162:1\n1#2:163\n*E\n"})
public final class z extends RelatedItemLineMarkerProvider {
  protected void collectNavigationMarkers(@NotNull PsiElement paramPsiElement, @NotNull Collection<? super RelatedItemLineMarkerInfo<?>> paramCollection) {
    Intrinsics.checkNotNullParameter(paramPsiElement, "");
    Intrinsics.checkNotNullParameter(paramCollection, "");
    PsiElement psiElement = paramPsiElement.getParent();
    if (psiElement == null)
      return; 
    UElement uElement = UastUtils.getUParentForIdentifier(paramPsiElement);
    if (uElement == null)
      return; 
    if (uElement instanceof org.jetbrains.uast.UClass) {
      psiElement = UElementKt.getAsJavaPsiElement(uElement, PsiClass.class);
      if ((PsiClass)psiElement == null) {
        (PsiClass)psiElement;
        return;
      } 
      (PsiClass)psiElement;
      if (a.a().getCheckMappingIsJavaInterface()) {
        PsiElement psiElement2 = psiElement;
        Intrinsics.checkNotNull(psiElement2);
        psiElement2 = psiElement2;
        PsiClass psiClass1 = (PsiClass)psiElement2;
        boolean bool = false;
        if ((PsiClass)(psiClass1.isInterface() ? (PsiClass)psiElement2 : null) == null) {
          (PsiClass)(psiClass1.isInterface() ? (PsiClass)psiElement2 : null);
          return;
        } 
        (PsiClass)(psiClass1.isInterface() ? (PsiClass)psiElement2 : null);
      } 
      String str1 = ((PsiClass)psiElement).getQualifiedName();
      if (str1 == null)
        return; 
      ArrayList<XmlTag> arrayList = new ArrayList();
      PsiElement psiElement1 = psiElement;
      Intrinsics.checkNotNull(psiElement1);
      Intrinsics.checkNotNullExpressionValue(paramPsiElement.getProject(), "");
      List list1 = D.a.a(psiElement1, paramPsiElement.getProject(), str1);
      Intrinsics.checkNotNullExpressionValue(paramPsiElement.getProject(), "");
      Project project1 = paramPsiElement.getProject();
      if (e.a(project1).getBaseClassSearchXml()) {
        Query query2 = ClassInheritorsSearch.search((PsiClass)psiElement, (SearchScope)GlobalSearchScope.allScope(project1), true, true, false);
        Intrinsics.checkNotNullExpressionValue(query2, "");
        Query query1 = query2;
        Intrinsics.checkNotNullExpressionValue(query1.findAll(), "");
        Collection collection = query1.findAll();
        for (PsiClass psiClass1 : collection) {
          String str2 = psiClass1.getQualifiedName();
          if (str2 != null) {
            Intrinsics.checkNotNull(psiClass1);
            Intrinsics.checkNotNullExpressionValue(paramPsiElement.getProject(), "");
            List list2 = D.a.a((PsiElement)psiClass1, paramPsiElement.getProject(), str2);
            list1.addAll(list2);
          } 
        } 
      } 
      if (list1.size() > 1) {
        for (XmlFile xmlFile : list1) {
          XmlTag xmlTag = xmlFile.getRootTag();
          if (xmlTag != null)
            arrayList.add(xmlTag); 
        } 
      } else {
        for (XmlFile xmlFile : list1) {
          XmlTag xmlTag = xmlFile.getRootTag();
          if (xmlTag != null)
            arrayList.add(xmlTag); 
        } 
      } 
      if (arrayList.size() > 0) {
        Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(arrayList).createLineMarkerInfo(paramPsiElement), "");
        paramCollection.add(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(arrayList).createLineMarkerInfo(paramPsiElement));
      } 
      return;
    } 
    PsiMethod psiMethod = (PsiMethod)UElementKt.getAsJavaPsiElement(uElement, PsiMethod.class);
    PsiClass psiClass = (psiMethod != null) ? psiMethod.getContainingClass() : null;
    if (psiClass == null)
      return; 
    if (a.a().getCheckMappingIsJavaInterface() && !psiClass.isInterface())
      return; 
    Intrinsics.checkNotNullExpressionValue(paramPsiElement.getProject(), "");
    Project project = paramPsiElement.getProject();
    String str = psiClass.getQualifiedName();
    if (str == null)
      return; 
    List list = D.a.a(psiMethod, project, str).d();
    if (!list.isEmpty()) {
      Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(list).createLineMarkerInfo(paramPsiElement), "");
      paramCollection.add(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(list).createLineMarkerInfo(paramPsiElement));
    } 
    if (e.a(project).getBaseClassSearchXml()) {
      ArrayList<XmlAttributeValue> arrayList = new ArrayList();
      Intrinsics.checkNotNullExpressionValue(ClassInheritorsSearch.search(psiClass, (SearchScope)GlobalSearchScope.allScope(project), true, true, false), "");
      Query query = ClassInheritorsSearch.search(psiClass, (SearchScope)GlobalSearchScope.allScope(project), true, true, false);
      Intrinsics.checkNotNullExpressionValue(query.findAll(), "");
      Collection collection = query.findAll();
      for (PsiClass psiClass1 : collection) {
        String str1 = psiClass1.getQualifiedName();
        if (str1 != null) {
          List list1 = D.a.a(psiMethod, project, str1).d();
          for (XmlAttribute xmlAttribute : list1) {
            Intrinsics.checkNotNull(xmlAttribute.getValueElement());
            arrayList.add(xmlAttribute.getValueElement());
          } 
        } 
      } 
      if (!arrayList.isEmpty()) {
        Intrinsics.checkNotNullExpressionValue(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(arrayList).createLineMarkerInfo(paramPsiElement), "");
        paramCollection.add(NavigationGutterIconBuilder.create(p.b()).setAlignment(GutterIconRenderer.Alignment.CENTER).setCellRenderer((PsiElementListCellRenderer)a.a).setTargets(arrayList).createLineMarkerInfo(paramPsiElement));
      } 
    } 
  }
}
